Page MenuHomePhabricator

[OMPT] Update api_calls testcase
ClosedPublic

Authored by sconvent on Jan 17 2018, 12:31 AM.

Details

Summary

Only use ompt_ functions when testing OMPT in api_calls testcase.
Add size parameter to print_list.
Fix small bug in implementation of ompt_get_partition_place_nums(): return correct length.

Diff Detail

Repository
rL LLVM

Event Timeline

sconvent created this revision.Jan 17 2018, 12:31 AM
sconvent updated this revision to Diff 130111.Jan 17 2018, 2:12 AM
sconvent retitled this revision from [OMPT] Only use ompt_ functions when testing OMPT in api_calls testcase to [OMPT] Update api_calls testcase.
sconvent edited the summary of this revision. (Show Details)
omalyshe added inline comments.Feb 7 2018, 7:07 AM
runtime/test/ompt/misc/api_calls.c
67 ↗(On Diff #130111)

It looks like it should also check {omp,ompt}_get_partition_place_nums().

omalyshe added inline comments.Feb 7 2018, 7:16 AM
runtime/test/ompt/misc/api_calls.c
2 ↗(On Diff #130111)

Is it limited to Linux due to sched_getcpu() usage? On Windows you could use GetCurrentProcessorNumberEx().

sconvent updated this revision to Diff 134197.Feb 14 2018, 4:43 AM
sconvent edited the summary of this revision. (Show Details)

Check ompt_get_partition_place_nums().
Fix small bug in implementation of ompt_get_partition_place_nums(): return correct length.

sconvent marked an inline comment as done.Feb 14 2018, 4:44 AM
sconvent added inline comments.
runtime/test/ompt/misc/api_calls.c
2 ↗(On Diff #130111)

Yes, that is the reason. We're currently not testing under Windows but I will look into it.

hbae accepted this revision.Feb 16 2018, 12:25 PM

LGTM.

This revision is now accepted and ready to land.Feb 16 2018, 12:25 PM
Closed by commit rL325422: [OMPT] Update api_calls testcase (authored by jprotze, committed by ). · Explain WhyFeb 17 2018, 1:45 AM
This revision was automatically updated to reflect the committed changes.